! ------------------------------------------------------------ !
      module x_gdat
! ------------------------------------------------------------ !
      implicit none

     public
     integer :: rcv_p   ! The amount of data received from the parent
     integer :: snd_p   ! The amount of data sent to the parent
     integer :: snd_c   ! The amount of data sent to ea. child
     integer :: rcv_c   ! The amount of data recieved from ea. child
     real(8), dimension(1000) :: r8_frm_p !r8_snd_c 
     real(8), dimension(1000) :: r8_frm_c !r8_rcv_c 
    
     character(len=10), private :: cmytid
  
     end  module x_gdat
